<?php

namespace LaraBB\Category\UI\Web\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\RedirectResponse;
use LaraBB\Application\Traits\Request;

/**
 * Class Destroy
 * @package LaraBB\Category\UI\Web\Requests
 */
class Destroy extends FormRequest
{
    use Request;

    /**
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return string[]
     */
    public function rules(): array
    {
        return $this->getRules('categories.uuid');
    }

    /**
     * @return array|string[]
     */
    public function messages(): array
    {
        return $this->getMessages('categories.uuid');
    }

    /**
     * @return RedirectResponse
     */
    public function success(): RedirectResponse
    {
        return redirect()->route('admin.forums')->with([
            'success'       => 'Die Kategorie wurde erfolgreich gelöscht.',
            'alert-options' => 'aside'
        ]);
    }

    /**
     * @return RedirectResponse
     */
    public function failed(): RedirectResponse
    {
        return redirect()->route('admin.forums')->with([
            'error' => 'Die Kategorie konnte aufgrund einer technischen Störung nicht gelöscht werden.',
        ]);
    }
}
